net.minecraft.world

## Class WorldSettings

- java.lang.Object
- - net.minecraft.world.WorldSettings

-     public final class WorldSettings
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorldSettings(long par1, EnumGameType par3EnumGameType, boolean par4, boolean par5, WorldType par6WorldType)`
    `WorldSettings(WorldInfo par1WorldInfo)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `areCommandsAllowed()` Returns true if Commands (cheats) are allowed.
    `WorldSettings` | `enableBonusChest()` Enables the bonus chest.
    `WorldSettings` | `enableCommands()`
    `String` | `func_82749_j()`
    `WorldSettings` | `func_82750_a(String par1Str)`
    `EnumGameType` | `getGameType()` Gets the game type.
    `static EnumGameType` | `getGameTypeById(int par0)` Gets the GameType by ID
    `boolean` | `getHardcoreEnabled()` Returns true if hardcore mode is enabled, otherwise false
    `long` | `getSeed()` Returns the seed for the world.
    `WorldType` | `getTerrainType()`
    `boolean` | `isBonusChestEnabled()` Returns true if the Bonus Chest is enabled.
    `boolean` | `isMapFeaturesEnabled()` Get whether the map features (e.g.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WorldSettings

          public WorldSettings(long par1,
                       EnumGameType par3EnumGameType,
                       boolean par4,
                       boolean par5,
                       WorldType par6WorldType)

    - #### WorldSettings

          public WorldSettings(WorldInfo par1WorldInfo)

  - ### Method Detail

    - #### enableBonusChest

          public WorldSettings enableBonusChest()

      Enables the bonus chest.

    - #### func_82750_a

          public WorldSettings func_82750_a(String par1Str)

    - #### enableCommands

          public WorldSettings enableCommands()

    - #### isBonusChestEnabled

          public boolean isBonusChestEnabled()

      Returns true if the Bonus Chest is enabled.

    - #### getSeed

          public long getSeed()

      Returns the seed for the world.

    - #### getGameType

          public EnumGameType getGameType()

      Gets the game type.

    - #### getHardcoreEnabled

          public boolean getHardcoreEnabled()

      Returns true if hardcore mode is enabled, otherwise false

    - #### isMapFeaturesEnabled

          public boolean isMapFeaturesEnabled()

      Get whether the map features (e.g. strongholds) generation is enabled or disabled.

    - #### getTerrainType

          public WorldType getTerrainType()

    - #### areCommandsAllowed

          public boolean areCommandsAllowed()

      Returns true if Commands (cheats) are allowed.

    - #### getGameTypeById

          public static EnumGameType getGameTypeById(int par0)

      Gets the GameType by ID

    - #### func_82749_j

          public String func_82749_j()